profunctors-5.1.2: Profunctors

Copyright | (C) 2011-2012 Edward Kmett
License | BSD-style (see the file LICENSE)
Maintainer | Edward Kmett <ekmett@gmail.com>
Stability | provisional
Portability | GADTs
Safe Haskell | Safe
Language | Haskell2010

Data.Profunctor.Trace

Description

Synopsis

- data Trace f where
  - Trace :: f a a -> Trace f

# Documentation

data Trace f where Source

Coend of `Profunctor` from `Hask -> Hask`.

Constructors

Trace :: f a a -> Trace f |